Jupiter - Zadanie #1831

Zadanie # 1802 (Nowy): Opracowanie integracji z OJS
przerobienie importu danych

2017-09-08 09:23 - Lukasz Waskiewicz

Status: Rozwigzany Start date: 2017-10-04
Priority: Normalny Due date:

Assignee: Michat Komar % Done: 100%
Category: backend Estimated time: 0.00 hour
Target version: 0.3

Developer: tukasz Waskiewicz Tester: Michat Komar
Description

import ma by¢ 2 stopniowy
1 faza procesuje dane i zapisuje je do jakiego$ importStorage
2 faza przepisuje dane z importStorage do storage

w pierwszej podejsciu 2 faza bedzie automatycznym przepisaniem danych, pézniej dorobimy wizarda pomagajgcego w mergowaniu

danych

Subtasks:
Btad # 1844: Wyjatek podczas importowania
Btad # 1853: Trzeba wykonaé niewielki refaktoring

Associated revisions

Revision 4d562c36 - 2017-09-12 13:09 - Lukasz Waskiewicz

refs #1831 przerobienie importu, poprawki

Revision a065a5cd - 2017-09-12 13:55 - Lukasz Waskiewicz

refs #1831 przerobienie importu, quickFix

Revision 8ec253a8 - 2017-09-19 12:32 - Lukasz Waskiewicz

refs #1831 importowanie paczek, zapisanie dokumentdéw, zapisanie

zatgcznikow

Revision 4¢541316 - 2017-09-19 12:32 - Lukasz Waskiewicz

refs #1831 poprawki kosmetyka

Revision eba509f9 - 2017-09-19 13:28 - Lukasz Waskiewicz

refs #1831 kasowanie plikéw po imporcie

Revision e7d4fff9 - 2017-09-20 14:17 - Lukasz Waskiewicz
refs #1831 poprawa state null, dodanie bazy dla testow

Revision 7c2db10a - 2017-09-21 11:11 - Lukasz Waskiewicz

refs #1831 sptaszczanie struktury katalogow

Revision d47f3e4b - 2017-09-21 12:49 - Lukasz Waskiewicz

refs #1831 brakujace ttumaczneie dla importu

Revision 55694e7 - 2017-09-21 12:49 - Lukasz Waskiewicz

refs #1831 wysytanie eventu o procesie importu

Revision ae0e17c5 - 2017-09-21 14:43 - Lukasz Waskiewicz

refs #1831 Ul do dodawania importu interaktywnego

Revision 4eaf103d - 2017-09-21 14:45 - Lukasz Waskiewicz

refs #1831 przeniesienie Import*Event do services-api

Revision edf42bd3 - 2017-09-27 12:48 - Lukasz Waskiewicz

refs #1831 wyswietlanie dokumentéw, przesunigcie import-add

Revision 78cec169 - 2017-09-27 12:54 - Lukasz Waskiewicz

refs #1831 wyswietlanie informacji o btedach validacji, ttumaczenia

Revision 1658d328 - 2017-09-28 14:51 - Lukasz Waskiewicz

refs #1831 wys$wietlanie informacji o btedach validaciji

Revision 2d0c2c4d - 2017-09-28 14:51 - Lukasz Waskiewicz

refs #1831 wyswietlanie informacji o btedach validaciji

Revision d592e8d3 - 2017-09-28 15:07 - Lukasz Waskiewicz

refs #1831 blokada wybierania elementow w tabeli
Revision 9f8a9f0c - 2017-10-11 14:31 - Lukasz Waskiewicz

refs #1831 ttumaczenia

Revision 60da2f29 - 2017-10-12 12:13 - Lukasz Waskiewicz
refs #1831 poprawki w importach
korekta walidacji struktury czasopisma

korekta obstugi zdalnych contentéw

zwigkszenie w testach miejsca na bwmete

Revision 059b3603 - 2017-10-16 14:31 - Lukasz Waskiewicz

refs #1831 poprawki w importach

Revision f5a22410 - 2017-10-17 08:45 - Lukasz Waskiewicz

refs #1831 poprawki okna modalnego, naprawa cyklu w imporcie Operation

Revision fba4b021 - 2017-10-18 13:28 - Lukasz Waskiewicz

refs #1831 poprawki w importach, IT fix

History

#1 - 2017-09-19 13:39 - Lukasz Waskiewicz

- Category set to backend

- Status changed from Nowy to Testowanie

- Assignee changed from tukasz Waskiewicz to Michat Komar
- Target version set to 0.3

- % Done changed from 0 to 100

import z kasowaniem plikow po sukciesie lub failu

#2 - 2017-10-04 15:01 - Michat Komar
- Status changed from Testowanie to W toku
- Assignee changed from Michat Komar to tukasz Waskiewicz

#3 - 2017-10-04 15:01 - Michat Komar
- Status changed from W toku to OdpowiedZ

#4 - 2017-10-09 12:09 - Lukasz Waskiewicz
- Status changed from Odpowiedz to Testowanie

- Assignee changed from tukasz Waskiewicz to Michat Komar

#5 - 2017-10-11 13:03 - Michat Komar
- Status changed from Testowanie to Odpowiedz

- Assignee changed from Michat Komar to tukasz Waskiewicz

Caly czas wystepujg problemy z importem.

Przy okazji mozesz wprowadzi¢ pare zmian zwigzanych z wygladem - okno modalne wyglada okrutnie - moze da sig tam ustawi¢ szablon - zeby miej
wiecej przypominato md-card?

W przypadku btedéw walidacji, nie ma sensu dodawaé przycisku z btedem. Mozna np. na tabie 'Documents' doda¢ ikonke takg jaka jest w wierszu z
btedym dokumentem.(btw. tab nie jest zlokalizowany).

#6 - 2017-10-17 08:46 - Lukasz Waskiewicz
- Status changed from Odpowiedz to Rozwigzany
- Assignee changed from tukasz Waskiewicz to Michat Komar

poprawione, nie wiem do konca co jeszcze mozna poprawi¢ w wygladzie okna modalnego, dla mnie najgorszy byt ten wielki tytut, reszta jest OK

#7 - 2017-10-25 08:08 - Michat Komar

- Status changed from Rozwigzany to Testowanie

#8 - 2017-10-27 14:01 - Michat Komar

- Status changed from Testowanie to Odpowiedz

- Assignee changed from Michat Komar to tukasz Waskiewicz

#9 - 2017-11-09 10:30 - Lukasz Waskiewicz

- Status changed from Odpowied? to Testowanie
- Assignee changed from tukasz Waskiewicz to Michat Komar

btad w subtasku jest rozwigzany

#10 - 2017-11-16 10:04 - Michat Komar

- Status changed from Testowanie to Rozwigzany
